/*
 * ElementRoleBase.java
 *
 * Created on 18. duben 2002, 20:13
 */

package SOFA.Connector.EEG;

/**
 *
 * @author  ghort
 * @version 
 */
abstract public class ElementRoleBase implements ElementRoleInterface {

	protected SOFA.Connector.EEG.ConnectorManagerInterface manager;
	
	/** Creates new ElementRoleBase */
	public ElementRoleBase() {
	}
	
	public void setManagerTie(SOFA.Connector.EEG.ConnectorManagerInterface manager) {
		this.manager=manager;
	}
	
	public SOFA.Connector.EEG.ConnectorManagerInterface getManagerTie() {
		return manager;
	}

	public SOFA.Connector.Reference getSOFAReference() {
		return manager.getSOFAReference();
	}
	
	public void setSOFAReference(SOFA.Connector.Reference ref) {
		manager.setSOFAReference(ref);
	}	

	public void setDeploymentDescriptor(SOFA.Connector.DeploymentDescriptor dd) {
		manager.setDeploymentDescriptor(dd);
	}

	public SOFA.Component.ThreadIDRegistry getThrIDRegistry() {
		return manager.getThrIDRegistry(); 
	}
	
	public void setThrIDRegistry(SOFA.Component.ThreadIDRegistry reg) {
		manager.setThrIDRegistry(reg); 
	}
	
	public void setRegister(SOFA.Component.Register reg) {
		manager.setRegister(reg);
	}
}
