/* $Id: SystemException.java,v 2.1 2002/06/26 20:55:07 hnetynka Exp $ */

/* This code is based on the OMG's IDL Java Language mapping
 * definitions (OMG document formal/99-06-02).
 */
package cz.cuni.sofa.lib;

abstract public class SystemException extends java.lang.RuntimeException {

    public int minor;

    protected SystemException() {
        super();
    }

    protected SystemException(String reason, int minor) {
        super(reason);
        this.minor = minor;
    }

    protected SystemException(String reason) {
        super(reason);
    }

    protected SystemException(String reason, Throwable cause) {
        super(reason, cause);
    }
}
