/* $Id: UnaryOperator.java,v 2.0 2002/02/15 13:54:53 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL;

class UnaryOperator {
  public int kind;

  public UnaryOperator(int op) {
    kind = op;
  }

  /** can apply operand to expression */
  public boolean isCompatible(CompExprOper e) {
    switch (kind) {
      case CompExprKind.e_unplus: 
        if ((e.type()==CompExprKind.e_int) ||
            (e.type()==CompExprKind.e_float) ||
            (e.type()==CompExprKind.e_fixed) ||
            (e.type()==CompExprKind.e_all))
          return true;
        else
          return false;
      case CompExprKind.e_unminus: 
        if ((e.type()==CompExprKind.e_int) ||
            (e.type()==CompExprKind.e_float) ||
            (e.type()==CompExprKind.e_fixed) ||
            (e.type()==CompExprKind.e_all))
          return true;
        else
          return false;
      case CompExprKind.e_untilde: 
        if ((e.type()==CompExprKind.e_int)||
             (e.type()==CompExprKind.e_all))
          return true;
      default: return false;
    }
  }
}
