/* $Id: BindDef.java,v 2.0 2002/02/15 13:55:04 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for the binds. */
public interface BindDef extends Contained {
  /** Left hand side operand */
  public BindOperDef lhsop() throws RemoteException;
  /** Right hand side operand */
  public BindOperDef rhsop() throws RemoteException;
  /** Mode of the bind. */
  public BindMode mode() throws RemoteException;
  /** Identifies used connector in the bind.
    * Now only three connectors are available: CSProcCall (default), DataStream, EventPassing.*/
  public String using() throws RemoteException;
}
