/* $Id: SContainer.java,v 2.0 2002/02/15 13:55:36 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR.Impl;
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.Remote;
import java.rmi.RemoteException;

/* for implementation purposes */
public interface SContainer extends Remote  {
  public Contained   slookup(Identification id) throws RemoteException, TIRExceptLock;
  public Contained   slookup(String name, String version) throws RemoteException, TIRExceptLock;
  public Contained[] slookup_name(Identification id) throws RemoteException, TIRExceptLock;
  public Contained[] slookup_name(String name) throws RemoteException, TIRExceptLock;
  public Contained[] scontents(DefinitionKind type) throws RemoteException, TIRExceptLock;

  /* return workId for which is locked or -1 if isn't locked */
  public long isLockedForCreate() throws RemoteException ;
}
