/* $Id: ProtocolDef.java,v 2.1 2002/04/19 12:25:21 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for representing whole protocol. */
public interface ProtocolDef extends TIRObject {
  
  public ProtocolOperDef protocol() throws RemoteException;
  
  public void protocol(ProtocolOperDef pr) throws RemoteException, TIRExceptCreate;

  public String to_text() throws RemoteException;

  public ProtocolBinOperationDef create_binoperation(int pokind, ProtocolOperDef op1, ProtocolOperDef op2) throws RemoteException, TIRExceptCreate;
  public ProtocolUnOperationDef create_unoperation(int pokind, ProtocolOperDef op) throws RemoteException, TIRExceptCreate;
  public ProtocolOperandDef create_operand(int mode, String[] op) throws RemoteException, TIRExceptCreate;
  public ProtocolNullOperandDef create_nulloperand() throws RemoteException, TIRExceptCreate;
  public ProtocolMetaOperandDef create_metaoperand(String name) throws RemoteException, TIRExceptCreate;
  public ProtocolNestedOperandDef create_nestedoperand(int mode, String[] op, ProtocolOperDef nestOper) throws RemoteException, TIRExceptCreate;
}
