/* $Id: Wildcards.java,v 1.1 2002/06/24 22:24:40 hnetynka Exp $ */
package SOFA.Util;

/** Wildcards (*,?) matcher class.
  * 
  * @author Petr Hnetynka
  */
public class Wildcards {
   
   /** Matches the string with wildcards against a string.
     * @param str  matched string
     * @param expr string with wildcards
     * @return  <tt>true</tt> if string matched
     */
   public static boolean match(String str, String expr) {

     // to be implemented correctly later
     if (expr.endsWith("*")) {

       return str.startsWith(expr.substring(0, expr.length() - 1));
     }
     else
       return expr.equals(str);
   }
} 
