/* $Id: CNDeplDockRemote.java,v 1.6 2002/07/31 10:15:38 hnetynka Exp $ */
package SOFA.Connector.Boot;

/** Remote (for RMI) connector interface for depldock.
  *
  * @author Petr Hnetynka
  */
public interface CNDeplDockRemote extends java.rmi.Remote {
  byte[][] describeUnderlyingEnvironment() throws java.rmi.RemoteException;
  byte[] instantiate(byte[] dd, String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException, java.rmi.RemoteException;

  String[] namesOfAllRunningComponents() throws java.rmi.RemoteException;
  String[] namesOfAllRunningApplications() throws java.rmi.RemoteException;
  byte[] getReference(String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException, java.rmi.RemoteException;
  void removeComponent(String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException, java.rmi.RemoteException;
}
