/*
 * test.java
 *
 * Created on 5. duben 2002, 21:02
 */

package SOFA.Connector.ECG;

import org.w3c.dom.*;

/**
 *
 * @author  ghort
 * @version 
 */
public class test {

	/** Creates new test */
	public test() {
	}

	/**
	* @param args the command line arguments
	*/
	public static void main (String args[]) throws Exception {
		javax.xml.parsers.DocumentBuilderFactory documentBuilderFactory=javax.xml.parsers.DocumentBuilderFactory.newInstance();
		javax.xml.parsers.DocumentBuilder documentBuilder=documentBuilderFactory.newDocumentBuilder();
	
		Document configDoc=documentBuilder.parse(new java.io.File(args[0]));

		SOFA.Connector.TIRAccess.TIRAccess.openTIR();
		ECGenerator generator=new ECGenerator();

		java.util.LinkedList toRemove=new java.util.LinkedList();
		NodeList cons=configDoc.getElementsByTagName("connector");
		int consLen=cons.getLength();
		int i;

		for (i=0;i<consLen;i++) {
			Element curElement=(Element)cons.item(i);

			ConnectorInputDescriptor cDescr;

			System.out.println();
			System.out.print("Reading input descriptor for '"+curElement.getAttribute("name")+"' ["+curElement.getAttribute("unit")+"] ... ");
			try {
				cDescr=ConnectorInputDescriptor.fromXML(curElement);
			} catch (Exception e) {
				System.out.println("failed");
				throw e;
			}
			System.out.println("OK");
			
			ConnectorOutputDescriptor outDesc=generator.generate(cDescr);

			Node parentNode=curElement.getParentNode();
			parentNode.insertBefore(outDesc.toXML(configDoc),curElement);
			toRemove.add(curElement);
		}

		java.util.Iterator iter=toRemove.iterator();
		while (iter.hasNext()) {
			Node node=(Node)iter.next();
			node.getParentNode().removeChild(node);
		}

		javax.xml.transform.TransformerFactory documentTransformerFactory=javax.xml.transform.TransformerFactory.newInstance();
		javax.xml.transform.Transformer transformer=documentTransformerFactory.newTransformer();
	
		transformer.transform(new javax.xml.transform.dom.DOMSource(configDoc),new javax.xml.transform.stream.StreamResult(new java.io.File(args[1])));
	}

}
