/* $Id: OutputStream.java,v 2.1 2002/06/18 07:59:10 hnetynka Exp $ */

/* This code is based on the OMG's IDL Java Language mapping
 * definitions (OMG document formal/99-06-02).
 */
package cz.cuni.sofa.lib;
import java.io.IOException;

public abstract class OutputStream extends java.io.OutputStream {

    public abstract void write_boolean    (boolean        value) throws IOException;
    public abstract void write_char       (char           value) throws IOException;
    public abstract void write_wchar      (char           value) throws IOException;
    public abstract void write_octet      (byte           value) throws IOException;
    public abstract void write_short      (short          value) throws IOException;
    public abstract void write_ushort     (short          value) throws IOException;
    public abstract void write_long       (int            value) throws IOException;
    public abstract void write_ulong      (int            value) throws IOException;
    public abstract void write_longlong   (long           value) throws IOException;
    public abstract void write_ulonglong  (long           value) throws IOException;
    public abstract void write_float      (float          value) throws IOException;
    public abstract void write_double     (double         value) throws IOException;
    public abstract void write_string     (String         value) throws IOException;
    public abstract void write_wstring    (String         value) throws IOException;


    public abstract void write_boolean_array(
            boolean[] value, int offset, int length) throws IOException;
    public abstract void write_char_array(
            char[] value, int offset, int length) throws IOException;
    public abstract void write_wchar_array(
            char[] value, int offset, int length) throws IOException;
    public abstract void write_octet_array(
            byte[] value, int offset, int length) throws IOException;
    public abstract void write_short_array(
            short[] value, int offset, int length) throws IOException;
    public abstract void write_ushort_array(
            short[] value, int offset, int length) throws IOException;
    public abstract void write_long_array(int[] value, int offset, int length) throws IOException;
    public abstract void write_ulong_array(
            int[] value, int offset, int length) throws IOException;
    public abstract void write_longlong_array(
            long[] value, int offset, int length) throws IOException;
    public abstract void write_ulonglong_array(
            long[] value, int offset, int length) throws IOException;
    public abstract void write_float_array(
            float[] value, int offset, int length) throws IOException;
    public abstract void write_double_array(
            double[] value, int offset, int length) throws IOException;


    public abstract void write_Object(cz.cuni.sofa.lib.Object value) throws IOException;

  /* !!!!
    public abstract void write_any(cz.cuni.sofa.lib.Any value);
    
   */

}
