/* $Id: CompExprBoolean.java,v 2.1 2002/05/15 14:47:34 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL;
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.RemoteException;

class CompExprBoolean extends CompExprOper {
  public boolean value;
  public CompExprBoolean(boolean val) {
    super(CompExprKind.e_boolean);
    value = val;
  }

  public int type() { return CompExprKind.e_boolean; }

  public boolean isProp() { return false; }

  public EnumList nameProp(CompRepository rep) throws CDLExceptRemote, CDLExceptLock {
    EnumList l = new EnumList();
    return l;
  }

  public int isPositive() {
    return -2;
  }

  public ExprOperDef toNormal(CDLRepository rep) throws CDLExceptToNormal, CDLExceptRemote, CDLExceptLock {
    try {
      return ((Repository) rep.get_containing_repository()).create_exprboolean(value);
    } catch (RemoteException e) {
      throw new CDLExceptRemote("Remote exception occured: "+e.getMessage());
    } catch (TIRExceptCreate ecr) {
      throw new CDLExceptToNormal("Can't create expression");
    }
  }

  public String toString() {
    return new Boolean(value).toString();
  }
}
