/* $Id: EnumList.java,v 2.0 2002/02/15 13:54:51 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL;

/** List for unique strings */
class EnumList extends List {
  public EnumList() { super(); }
  public boolean addName(String what) {
    akt = first;
    for (int i=0;i<count;i++) {
      if (what.compareTo(((String)akt.item))==0)
        return false;
      toNext();
    }
    add(what);
    return true;
  }

  public boolean isIn(String what) {
    akt = first;
    for (int i=0;i<count;i++) {
      if (what.compareTo(((String)akt.item))==0)
        return true;
      toNext();
    }
    return false;
  }

  public String[] toArray() {
    String[] ret = new String [count];
    toFirst();
    for (int i=0;i<count;i++) {
      ret[i] = new String((String) aktual());
      toNext();
    }
    return ret;
  }
}
