/* $Id: Output.java,v 2.0 2002/02/15 13:55:01 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CodeGen;
import SOFA.SOFAnode.Made.Logger;

/** Output of generator.
  *
  * @author Petr Hnetynka
  */
public class Output {
  static public Logger out;
  
  /** Set concrete logger.
    *
    * @param o   logger
    * @exception NullPointerException   throws if parameter <tt>o</tt> is <tt>null</tt>
    */
  static public void setOut(Logger o) {
    if (o!=null)
      out = o;
    else
      throw new NullPointerException("Bad logger object for compiler output.");
  }
}
