/* $Id: BindOperProvReq.java,v 2.0 2002/02/15 13:55:05 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** bind operand for the provides/requires */
public interface BindOperProvReq extends BindOperDef {
  /** elements of the bind operand */
  public BindType[] elements() throws RemoteException;

  /** add normal type of the bind element */
  public BindTypeNormal add_bindtypenormal(String name) throws RemoteException, TIRExceptCreate;
   /** add array type of the bind element */ 
  public BindTypeArray add_bindtypearray(String name, ExprOperDef[] indexes) throws RemoteException, TIRExceptCreate;
}
